//<c>   Copyright 1973-1998 by Gerry J. Danen; all rights reserved.

//<t>   Check for Leap Year

#include "gd_tools.h"


#pragma check_stack(off)


INT16   IsLeapYear( int year )
{
                // Determine whether year is a leap year.
                // If it is, return TRUE,
                // otherwise return FALSE.

    if ( year % 4 == 0 && year % 100 != 0 || year % 400 == 0 )
        return( 1 );
    else
        return( 0 );
}


static  void lyr( int yr )
{
    printf( "%d is%s a leap year\n", yr, (IsLeapYear(yr) ? "" : " not") );
}


void main( void )
{
    lyr( 1899 );  lyr( 1900 );  lyr( 1901 );
    lyr( 1903 );  lyr( 1904 );  lyr( 1905 );
    lyr( 1979 );  lyr( 1980 );  lyr( 1981 );
    lyr( 1999 );  lyr( 2000 );  lyr( 2001 );
    lyr( 2099 );  lyr( 2100 );  lyr( 2101 );
}
